Redmine - Feature #1278

Creating global (default) categories.
2008-05-21 18:45 - Yanoksy Durafiona Yero

Status: New Start date: 2008-05-21
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution:

Description

It would be great if Categories could be created globally for all projects besides for each project independently. In my case | have too
many project where almost all of them features the same categories and it is kinda tiresome creating categories for each project.

Redmine is the Best!!!

Related issues:

Related to Redmine - Feature #6794: Global and inheritable Categories New 2010-11-02
Has duplicate Redmine - Feature #2521: Allow specifying default categories Closed 2009-01-16
Has duplicate Redmine - Feature #26327: Redmine Should have Defeult Categorie... Closed

History

#1 - 2008-07-14 12:48 - Mark Hagers

This feature is very high on our wish list as well. Specifically it would be nice to be able to use categories in a sub project that are defined in the parent
project.

We work with a long running project and we create weekly builds. Each weekly build is managed in a sub project, and it's rather tedious to recreate
the categories for every sub project. being able to create them once in the parent project (or indeed globally) would be much more convenient.

#2 - 2008-11-11 10:36 - Jean-Philippe Lang
- Target version deleted (0.8)

#3 - 2009-02-14 20:34 - Jens Berlips

+1. We are using maybe roughly 20 categories, they are really a pain to input in each project.

#4 - 2009-12-25 21:55 - pasquale [:dedalus]

+1: it is necessary

#5 - 2010-02-11 17:15 - Rolf Henrich

Me too!!! - Seems to be a duplicate of #2521

#6 - 2010-08-29 15:44 - Marton Danoczy

+1
Bump - this feature is really important to me, too...

#7 - 2010-10-03 19:30 - David Raison

+1

#8 - 2010-10-17 01:55 - Mischa The Evil
- Subject changed from Creating global categories. to Creating global (default) categories.

- Category set to Issues

#9 - 2010-10-22 10:45 - Anonymous

+1

Does this already have a target version?
https://www.redmine.org/issues/2521

#10 - 2011-03-16 15:47 - Pedro Almeida

+1

#11 - 2011-07-29 17:12 - Roman Yeryomin
+100 for this

#12 - 2012-01-05 22:42 - Nick Nguyen

+1
This would save so much time! we have new projects entered weekly. Updating the categories when they are the same for each project is very time
consuming.

#13 - 2012-01-06 08:06 - Sridhar P

I would like to work on this. Is it okay to use the existing issue_categories table with project_id set to 0 for the global categories? Or is there a better
approach?

#14 - 2012-05-06 13:49 - Dani Leni
+1
Really frustrating to write same issues all over again for different projects.

#15 - 2012-07-04 09:32 - Anatol Bollinger

+1

#16 - 2012-08-14 09:18 - Anonymous

+1

#17 - 2012-08-20 11:18 - Youngseon Kim
+1 Bump!!

| wish this feature.

#18 - 2012-10-17 17:41 - Luc Luc

+1

#19 - 2012-10-30 00:33 - Artur M

Me too!

#20 - 2013-02-19 20:18 - Benjamin Jeanjean
+1 ! Would be so helpful !

#21 - 2013-05-09 03:12 - Dan Mick

Honestly | was confused and shocked to find that the default was not "superprojects can filter on all subprojects' categories"; | don't even understand
a data model where that's not obviously true. Please consider this; the usage as it stands is just weird for subprojects (the category appears in issue
lists but cannot be used as a search filter....guh..?...)

#22 - 2013-11-16 12:27 - Robin Lutz

| was so happy when | found the issue categories. They are perfect to mark issues for meetings. But today, when | tried to filter for my categories, |
had to find out, that you cannot filter over several projects. | guess my understanding of using issue categories are totally different from the
programmer's.

The filter should search for the tag name in subprojects and not the tag id. With this method, you could make global categories by adding the same
category to every project.

Dan Mick, | feel with you.

+1

#23 - 2014-01-29 14:30 - Miodrag Milic

+1

#24 - 2015-06-02 14:38 - André Bachmann
As a workaround, you can use a script in your favorite scripting language which creates the issue categories as requested using the REST API. I'm
currently doing this because | also missed a feature like default categories for all projects.

#25 - 2016-02-18 15:30 - Frank Paaske
| completely agree, this would be a great feature!
+1

#26 - 2016-02-22 13:31 - Vlad Vor

+1

#27 - 2017-07-03 17:39 - Mischa The Evil
- Related to Feature #6794: Global and inheritable Categories added

#28 - 2017-07-03 17:39 - Mischa The Evil
- Has duplicate Feature #26327: Redmine Should have Defeult Categories for Project trackers. See description. added

#29 - 2018-01-12 09:11 - Alessandro Zucchi

+1

#30 - 2018-02-12 14:37 - Tomasz Janicki
- File Custom-Global.jpg added
Today's finding.

For those who need to report time (or simply filter) using a global ID (aka. Global Category), please use Custom Fields, either on Issues or Project
and they have be of List type. As attached.

If used on issues then "Projects -> For all projects” needs to be selected !
List can only be maintained by the Admin though

Custom-Global.jpg
It is related to this discussion

http://www.redmine.org/boards/1/topics/2040

With Regards
TJ

#31 - 2018-10-04 17:42 - Christophe Portier

Thanks for the tips TJ.
However this workaround does not allow automatic assignment of tickets depending of the category.

+1 with the global (default) categories (or with the sharing with subprojects - see #5358)!

Files

Custom-Gilobal.jpg 47.5 KB 2018-02-12 Tomasz Janicki
